import greenfoot.*;  // imports Actor, World, Greenfoot, GreenfootImage

import java.util.Random;

/**
 * Il mondo in cui vivono i wombats.
 * 
 * @author Michael Kolling
 * @version 1.0.1
 */
public class MondoWombat extends World
{
    /**
     * Crea un nuovo modno con 8x8 celle e
     * in cui ciascuna cella misura 60x60 pixel
     */
    public MondoWombat() 
    {
        super(8, 8, 60);        
        setBackground("cella.jpg");
    }

    /**
     * Popola il mondo con uno scenario prefissato di wombat e foglie.
     */    
    public void popola()
    {
        Wombat w1 = new Wombat();
        addObject(w1, 3, 3);
        
        Wombat w2 = new Wombat();
        addObject(w2, 1, 7);

        Foglia l1 = new Foglia();
        addObject(l1, 5, 3);

        Foglia l2 = new Foglia();
        addObject(l2, 0, 2);

        Foglia l3 = new Foglia();
        addObject(l3, 7, 5);

        Foglia l4 = new Foglia();
        addObject(l4, 2, 6);

        Foglia l5 = new Foglia();
        addObject(l5, 5, 0);
        
        Foglia l6 = new Foglia();
        addObject(l6, 4, 7);
    }
    
    /**
     * Piazza nel mondo un determinato numero di foglie in posizioni casuali.
     * Il numero di foglie pu essere specificato.
     */
    public void foglieCasuali(int quanteFoglie)
    {
        for(int i=0; i<quanteFoglie; i++) {
            Foglia foglia = new Foglia();
            int x = Greenfoot.getRandomNumber(getWidth());
            int y = Greenfoot.getRandomNumber(getHeight());
            addObject(foglia, x, y);
        }
    }
}